Subject: Re: bug#4393: 23.1; doc string of accessible-keymaps

From: Stefan Monnier <[email-masked]>
Date: Fri, 11 Sep 2009 15:21:35 -0400

>> > (accessible-keymaps (current-global-map))
>> [...]
>> > Search for [f2] in the result sexp. You'll find this:
>> > ([f2] . t). That's one of the entries in the alist returned by
>> > `accessible-keymaps'.
>> > There are two other entries with cdr = t: ([24 11] . t) and
>> > ([24 54] . t). All the other entries have a keymap as cdr.
>> 
>> It turns out that these are prefixes bound to autoloaded keymaps that
>> haven't yet been loaded (and they also happen to be the same keymap).
>> `accessible-keymaps' does not autoload keymaps.  I guess it should
>> return ([f2] . 2C-command) and  ([24 54] . 2C-command).

> OK, so if I understand right, this is not a lack of explanation in the doc of
> accessible-keymaps, but is a code bug that will be fixed.

Actually, I believe I fixed it yesterday with the below,

        Stefan

Index: src/keymap.c
===================================================================
RCS file: /sources/emacs/emacs/src/keymap.c,v
retrieving revision 1.384
retrieving revision 1.385
diff -u -r1.384 -r1.385
--- src/keymap.c	11 Sep 2009 00:59:05 -0000	1.384
+++ src/keymap.c	11 Sep 2009 02:14:07 -0000	1.385
@@ -292,7 +292,7 @@
 		  goto autoload_retry;
 		}
 	      else
-	      	return Qt;
+	      	return object;
 	    }
 	}
     }